#include <DHTesp.h>
#include <ESP8266WiFi.h>
#include "ThingSpeak.h"

#define DHTIPY DHT11
#define DHTPIN D5


#ifndef STASSID
#define STASSID "WiFi SSID"
#define STAPSK  "WiFi PSSWD"
#endif

float TEMP_EXT;
float UMID_EXT;
float CO2_EXT;


DHTesp dht;

WiFiClient client;

const char* ssid     = STASSID;
const char* password = STAPSK;
unsigned long myChannelNumber = CHANNEL THINGSPEAK ;
 char * myWriteAPIKey = "WRITE API KEY";

void setup() {
  // put your setup code here, to run once:
 dht.setup(DHTPIN,DHTesp::DHTIPY);

WiFi.disconnect();
Serial.begin(115200);
Serial.print("Connessione a:");
Serial.println(ssid);
WiFi.mode(WIFI_STA);
WiFi.begin(ssid, password);
ThingSpeak.begin(client);
while(WiFi.status() != WL_CONNECTED) {
  delay(500);
  Serial.print(".");
}
Serial.print("WiFi connessa");
Serial.print("IP WiFi =");
Serial.println(WiFi.localIP());

}


void loop() {
  // put your main code here, to run repeatedly:
TEMP_EXT = dht.getTemperature();
UMID_EXT = dht.getHumidity();
CO2_EXT = analogRead(0);
while(WiFi.status() != WL_CONNECTED) {
  delay(500);
  Serial.print(".");
}
Serial.println(CO2_EXT);
 ThingSpeak.setField(4,CO2_EXT );
 int x = ThingSpeak.writeField(myChannelNumber, 4, CO2_EXT, myWriteAPIKey);
  ThingSpeak.setField(5, TEMP_EXT);
   int y = ThingSpeak.writeField(myChannelNumber, 5, TEMP_EXT, myWriteAPIKey);
  ThingSpeak.setField(6, UMID_EXT);
  int z = ThingSpeak.writeField(myChannelNumber, 6, UMID_EXT, myWriteAPIKey);
  
  delay(5000);
}




